#!/bin/bash
# lastact: arturo@2023-09-19
# desc: script encargado de comprobar si el usuario pertenece al grupo nopasswdlogin para crearle un keyring plano vacío

if getent group nopasswdlogin > /dev/null 2>&1 ; then
    [[ "$(members nopasswdlogin | tr -s " " ";");" =~ $(vx-usuario-grafico)';' ]] && \
    vx-keyring-plain "add" "$(vx-usuario-grafico)" && \
    echo "#> $(vx-usuario-grafico): Se le ha configurado un anillo de claves en texto plano" || \
    echo "#> $(vx-usuario-grafico): Problemas para configurar un anillo de claves en texto plano"
fi
